JUCE: SliderParameterAttachment Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SliderParameterAttachment Class Reference
juce_audio_processors » utilities

An object of this class maintains a connection between a Slider and a plug-in parameter. More...

`#include <juce_ParameterAttachments.h>`

Inheritance diagram for SliderParameterAttachment:

## Public Member Functions
| SliderParameterAttachment (RangedAudioParameter &parameter, Slider &slider, UndoManager *undoManager=nullptr)
| Creates a connection between a plug-in parameter and a Slider.
| ~SliderParameterAttachment () override
| Destructor.
void | sendInitialUpdate ()
| Call this after setting up your slider in the case where you need to do extra setup after constructing this attachment.

## Detailed Description

An object of this class maintains a connection between a Slider and a plug-in parameter.

During the lifetime of this object it keeps the two things in sync, making it easy to connect a slider to a parameter. When this object is deleted, the connection is broken. Make sure that your parameter and Slider are not deleted before this object!

## Constructor & Destructor Documentation

## ◆ SliderParameterAttachment()

SliderParameterAttachment::SliderParameterAttachment | ( | RangedAudioParameter & | parameter,
|  | Slider & | slider,
|  | UndoManager * | undoManager = `nullptr`
| ) |  |

Creates a connection between a plug-in parameter and a Slider.

Parameters

  parameter | The parameter to use
  slider | The Slider to use
  undoManager | An optional UndoManager

## ◆ ~SliderParameterAttachment()

SliderParameterAttachment::~SliderParameterAttachment | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ sendInitialUpdate()

void SliderParameterAttachment::sendInitialUpdate | ( |  | ) |

Call this after setting up your slider in the case where you need to do extra setup after constructing this attachment.

The documentation for this class was generated from the following file:

- juce_ParameterAttachments.h